Subject: Re: [RFC PATCH] git-p4: introduce asciidoc documentation

From: Luke Diamand <[email-masked]>
Date: Wed, 07 Dec 2011 09:46:57 +0000

On 03/12/11 23:53, Pete Wyckoff wrote:
> Add proper documentation for git-p4.  Delete the old .txt
> documentation from contrib/fast-import.
> ---
>
> I'd appreciate review by git-p4 people to make sure I captured
> everything from the old documentation, and to catch any errors.
> There's a fair amount of new content in here, describing all
> the options and variables.  I left out some obscure commands
> on purpose.
>
> Comments from anyone else would be welcome too.  Especially
> in the area of generic asciidoc formatting or style in git
> command pages.

That looks good to me, I can't see anything of note, just one minor nit, 
below.

Luke

>
> Thanks,
> 		-- Pete
>
>   Documentation/git-p4.txt       |  456 ++++++++++++++++++++++++++++++++++++++++
>   contrib/fast-import/git-p4.txt |  289 -------------------------
>   2 files changed, 456 insertions(+), 289 deletions(-)
>   create mode 100644 Documentation/git-p4.txt
>   delete mode 100644 contrib/fast-import/git-p4.txt
> +
>
> +------------
> +$ cd project
> +$ vi foo.h

I think it works with other editors as well, although I've not tried it 
myself. Obviously with reduced functionality :-)

> +git-p4.allowSubmit::
> +	By default, any branch can be used as the source for a 'git p4
> +	submit' operation.  This configuration variable , if set, permits only

Spacing around comma in "variable , if set"

Luke